This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1003009 - Review Request: gnome-colors-icon-theme - GNOME-Colors icon theme
Review Request: gnome-colors-icon-theme - GNOME-Colors icon theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
: gnome-colors (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 09:16 EDT by Miro Hrončok
Modified: 2014-12-02 08:43 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-colors-icon-theme-5.5.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 20:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-08-30 09:16:41 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/gnome-colors-icon-theme.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/gnome-colors-icon-theme-5.5.1-4.fc19.src.rpm

Description:

The GNOME-Colors is a project that aims to make the GNOME desktop as 
elegant, consistent and colorful as possible.

The current goal is to allow full color customization of themes, icons, 
GDM logins and splash screens. There are already seven full color-schemes 
available; Brave (Blue), Human (Orange), Wine (Red), Noble (Purple), Wise 
(Green), Dust (Chocolate) and Illustrious (Pink). An unlimited amount of 
color variations can be rebuilt and recolored from source, so users need 
not stick to the officially supported color palettes.

GNOME-Colors is mostly inspired/based on Tango, GNOME, Elementary, 
Tango-Generator and many other open-source projects. More information 
can be found in the AUTHORS file.

Fedora Account System Username: churchyard

This is a retake of bz515280
Comment 2 Christopher Meng 2013-09-01 23:00:41 EDT
*** Bug 515280 has been marked as a duplicate of this bug. ***
Comment 3 Wolfgang Ulbrich 2013-10-18 11:12:03 EDT
1. icon-cache-update needs work.
see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
%postun and %posttrans is missing

2. use %global instead of %define

3. Since f18 we don't need anymore desitinaton dir for
make install DESTDIR=%{buildroot}
New macro is %{make_install}

Rest looks good for a first view.
Comment 4 Miro Hrončok 2013-10-18 11:38:57 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/gnome-colors-icon-theme.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/gnome-colors-icon-theme-5.5.1-6.fc19.src.rpm

- Use %%global instead of %%define
- Use %%{make_install}
- Use icon cache scriplets form wiki
Comment 5 Wolfgang Ulbrich 2013-10-19 04:40:47 EDT
APPROVED !

Two minors wich you can fix before you upload to fedora git.
1. Why requires gnome-icon-theme?
[!]: Requires correct, justified where necessary.

2. pls change Url:  to URL:


Rpmlint
-------
Checking: gnome-colors-icon-theme-5.5.1-6.fc21.noarch.rpm
          gnome-colors-icon-theme-5.5.1-6.fc21.src.rpm
gnome-colors-icon-theme.noarch: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
gnome-colors-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/gnome-colors-icon-theme/COPYING

There is nothing what you can do for fix it. You only have to notice upstream about this.

gnome-colors-icon-theme.src: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
gnome-colors-icon-theme.src: W: invalid-url Source0: http://gnome-colors.googlecode.com/files/gnome-colors-src-5.5.1.tar.gz HTTP Error 404: Not Found

This is a fault positive, the download link works well in a browser.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find gnome-mime-text-x-copying.png in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

This is a fault positive, those files are present in the rpm.

[rave@mother results]$ rpm -qlp gnome-colors-icon-theme-5.5.1-6.fc21.noarch.rpm |grep gnome-mime-text-x-copying.png
/usr/share/icons/gnome-colors-common/16x16/mimetypes/gnome-mime-text-x-copying.png
/usr/share/icons/gnome-colors-common/22x22/mimetypes/gnome-mime-text-x-copying.png
/usr/share/icons/gnome-colors-common/24x24/mimetypes/gnome-mime-text-x-copying.png
/usr/share/icons/gnome-colors-common/32x32/mimetypes/gnome-mime-text-x-copying.png

- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/gnome-colors-icon-theme
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

Normal for a re-retired package.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in gnome-colors-icon-theme
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-colors-icon-theme-5.5.1-6.fc21.noarch.rpm
          gnome-colors-icon-theme-5.5.1-6.fc21.src.rpm
gnome-colors-icon-theme.noarch: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
gnome-colors-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/gnome-colors-icon-theme/COPYING

There is nothing what you can do for fix it. Please notice upstream about this.

gnome-colors-icon-theme.src: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
gnome-colors-icon-theme.src: W: invalid-url Source0: http://gnome-colors.googlecode.com/files/gnome-colors-src-5.5.1.tar.gz HTTP Error 404: Not Found
This is a fault positive, the download link works well in a browser.

2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-colors-icon-theme
gnome-colors-icon-theme.noarch: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
gnome-colors-icon-theme.noarch: E: incorrect-fsf-address /usr/share/doc/gnome-colors-icon-theme/COPYING
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-colors-icon-theme (rpmlib, GLIBC filtered):
    /bin/sh
    gnome-icon-theme



Provides
--------
gnome-colors-icon-theme:
    gnome-colors-icon-theme



Source checksums
----------------
http://gnome-colors.googlecode.com/files/gnome-colors-src-5.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0b03073198dcf98925d20d8793efe4b2ad5afa5786d80ce068a5ef47e926bced
  CHECKSUM(SHA256) upstream package : 0b03073198dcf98925d20d8793efe4b2ad5afa5786d80ce068a5ef47e926bced


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1003009
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 6 Miro Hrončok 2013-10-19 06:12:11 EDT
New Package SCM Request
=======================
Package Name: gnome-colors-icon-theme
Short Description: GNOME-Colors icon theme
Owners: churchyard
Branches: f18 f19 f20
Comment 7 Gwyn Ciesla 2013-10-19 17:17:06 EDT
Unretired, please take ownership of devel in pkgdb and then submit a Package
Change Request for the remaining desired branches.
Comment 8 Miro Hrončok 2013-10-21 14:55:29 EDT
Package Change Request
======================
Package Name: gnome-colors-icon-theme
New Branches: f18 f19 f20
Owners: churchyard
Comment 9 Miro Hrončok 2013-10-21 14:56:11 EDT
I've forgotten that this is not exactly a new package. Ownership taken.
Comment 10 Gwyn Ciesla 2013-10-21 15:07:58 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-10-22 05:20:36 EDT
gnome-colors-icon-theme-5.5.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-colors-icon-theme-5.5.1-6.fc20
Comment 12 Fedora Update System 2013-10-22 05:21:46 EDT
gnome-colors-icon-theme-5.5.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-colors-icon-theme-5.5.1-6.fc19
Comment 13 Fedora Update System 2013-10-22 05:22:27 EDT
gnome-colors-icon-theme-5.5.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-colors-icon-theme-5.5.1-6.fc18
Comment 14 Fedora Update System 2013-10-22 14:52:10 EDT
gnome-colors-icon-theme-5.5.1-6.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2013-10-25 20:56:04 EDT
gnome-colors-icon-theme-5.5.1-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-10-25 20:57:38 EDT
gnome-colors-icon-theme-5.5.1-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-11-10 02:53:38 EST
gnome-colors-icon-theme-5.5.1-6.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Miro Hrončok 2014-12-02 04:18:21 EST
Package Change Request
======================
Package Name: gnome-colors-icon-theme
New Branches: epel7
Owners: churchyard

See bz1165869
Comment 19 Gwyn Ciesla 2014-12-02 08:43:27 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.